services:
    d2_gavic_service_definition_manager:
        class:          D2\GavicBundle\DependencyInjection\Services\ServiceDefinitionManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_gavic_partner_file_manager:
        class:          D2\GavicBundle\DependencyInjection\Services\PartnerFileManager
        arguments:      [@service_container, @doctrine.orm.entity_manager]

    d2_gavic_waybill_manager:
        class:          D2\GavicBundle\DependencyInjection\Services\WaybillManager
        arguments:      [@service_container, @doctrine.orm.entity_manager, @d2_gavic_service_definition_manager, @d2_calc_manager]

    d2_gavic_bundle.twig.gavic_extension:
        class:          D2\GavicBundle\Twig\GavicTwigExtension
        arguments:      [@doctrine, @service_container, @d2_gavic_partner_file_manager, @d2_gavic_service_definition_manager]
        tags:
            - { name: twig.extension }

    # With Selected Extensions
    d2_gavic_bundle.waybill_with_selected.extension:
        class:          D2\GavicBundle\DependencyInjection\Services\WaybillsWithSelectedExtension
        arguments:      [@doctrine, @service_container]
        tags:
            - { name: d2.with_selected, alias: gavic_list }
            - { name: d2.with_selected, alias: gavic_waybill }
